The commands used:

```
# Get peer and issuer certificates from KMS server. Copy and paste them into peer.pem, issuer1.pem, issuer2.pem, etc.
openssl s_client -connect kms.us-east-1.amazonaws.com:443 -showcerts
# Get the OCSP URI from the peer certificate.
openssl x509 -text -in peer.pem
# Send OCSP request to OCSP URI.
openssl ocsp -issuer issuer1.pem -issuer issuer2.pem  -issuer issuer3.pem -cert peer.pem -url http://ocsp.sca1b.amazontrust.com -text
# (Gets back a successful response)
```

Note: The default LibreSSL (openssl alias) on my macOS machine also was not setting the Host header and got the same error. I used OpenSSL 1.1.1d to test.